//*****************************************************************************
//C O N F I G - B E G I N                                                    **
//*****************************************************************************
// Your WiFi config here:
char host[] = "MATRIX";               // Hostname & MQTT Client ID & MQTT TOPIC
char ssid[] = "DEG-TEST-WLAN";        // your network SSID (name)
char pass[] = "12345678";             // your network password
bool STATIC = true;                   // Static IP for STA Mode?   [false/true]
// Static IP:
IPAddress ip(192,168,1,200);          // Static IP
IPAddress gw(192,168,1,1);            // Static Gateway/DNS
IPAddress su(255,255,255,0);          // Static Subnet Mask

//*****************************************************************************
// HTTP Server Port:
char HSRPRT = 9724;                   //Port des Schaltservers

//*****************************************************************************
// Your MQTT Client config here:
bool EXSERV = true;                   // Connect to a MQTT Server? [false/true]
char EXMQ[] = "192.168.1.82";         // MQTT Server IP
int  EXMPRT = 1883;                   // MQTT Server Port          [1883] 

//*****************************************************************************
// Keyboard Settings:
const byte ROWS = 4;                    //four rows
const byte COLS = 3;                    //three columns
//define the symbols on the buttons of the keypads:
char keys[ROWS][COLS] = {    
  {'*','0','#'},
  {'7','8','9'},
  {'4','5','6'},
  {'1','2','3'}
};
byte rowPins[ROWS] = {5, 14, 12, 13}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {4, 0, 2};       //connect to the column pinouts of the keypad
// Key's - Link - Target's:
char KEY_1[] = "http://192.168.1.82/cgi-bin/query.sh?1";
char KEY_2[] = "http://192.168.1.82/cgi-bin/query.sh?2";
char KEY_3[] = "http://192.168.1.82/cgi-bin/query.sh?3";
char KEY_4[] = "http://192.168.1.82/cgi-bin/query.sh?4";
char KEY_5[] = "http://192.168.1.82/cgi-bin/query.sh?5";
char KEY_6[] = "http://192.168.1.82/cgi-bin/query.sh?6";
char KEY_7[] = "http://192.168.1.82/cgi-bin/query.sh?7";
char KEY_8[] = "http://192.168.1.82/cgi-bin/query.sh?8";
char KEY_9[] = "http://192.168.1.82/cgi-bin/query.sh?9";
char KEY_0[] = "http://192.168.1.82/cgi-bin/query.sh?0";
// For #:
char KEY_A[] = "http://192.168.1.82/cgi-bin/query.sh?#";
// For *:
char KEY_B[] = "http://192.168.1.82/cgi-bin/query.sh?*";

//*****************************************************************************
// Serial Debug                    ********************************************
bool SERIAL_DEBUG = true;             // Enable/disable Debugging  [false/true]
